"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCacheClusters_1 = require("../model/operations/DescribeCacheClusters");
var DescribeCacheClustersCommand = /** @class */ (function () {
    function DescribeCacheClustersCommand(input) {
        this.input = input;
        this.model = DescribeCacheClusters_1.DescribeCacheClusters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCacheClustersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCacheClustersCommand;
}());
exports.DescribeCacheClustersCommand = DescribeCacheClustersCommand;
//# sourceMappingURL=DescribeCacheClustersCommand.js.map