"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCacheSecurityGroups_1 = require("../model/operations/DescribeCacheSecurityGroups");
var DescribeCacheSecurityGroupsCommand = /** @class */ (function () {
    function DescribeCacheSecurityGroupsCommand(input) {
        this.input = input;
        this.model = DescribeCacheSecurityGroups_1.DescribeCacheSecurityGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCacheSecurityGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCacheSecurityGroupsCommand;
}());
exports.DescribeCacheSecurityGroupsCommand = DescribeCacheSecurityGroupsCommand;
//# sourceMappingURL=DescribeCacheSecurityGroupsCommand.js.map