"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TestFailover_1 = require("../model/operations/TestFailover");
var TestFailoverCommand = /** @class */ (function () {
    function TestFailoverCommand(input) {
        this.input = input;
        this.model = TestFailover_1.TestFailover;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TestFailoverCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TestFailoverCommand;
}());
exports.TestFailoverCommand = TestFailoverCommand;
//# sourceMappingURL=TestFailoverCommand.js.map