"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateCacheParameterGroupInput_1 = require("../shapes/CreateCacheParameterGroupInput");
var CreateCacheParameterGroupOutput_1 = require("../shapes/CreateCacheParameterGroupOutput");
var CacheParameterGroupQuotaExceededFault_1 = require("../shapes/CacheParameterGroupQuotaExceededFault");
var CacheParameterGroupAlreadyExistsFault_1 = require("../shapes/CacheParameterGroupAlreadyExistsFault");
var InvalidCacheParameterGroupStateFault_1 = require("../shapes/InvalidCacheParameterGroupStateFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateCacheParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateCacheParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateCacheParameterGroupInput_1.CreateCacheParameterGroupInput
    },
    output: {
        shape: CreateCacheParameterGroupOutput_1.CreateCacheParameterGroupOutput,
        resultWrapper: "CreateCacheParameterGroupResult"
    },
    errors: [
        {
            shape: CacheParameterGroupQuotaExceededFault_1.CacheParameterGroupQuotaExceededFault
        },
        {
            shape: CacheParameterGroupAlreadyExistsFault_1.CacheParameterGroupAlreadyExistsFault
        },
        {
            shape: InvalidCacheParameterGroupStateFault_1.InvalidCacheParameterGroupStateFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=CreateCacheParameterGroup.js.map