"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DecreaseReplicaCountInput_1 = require("../shapes/DecreaseReplicaCountInput");
var DecreaseReplicaCountOutput_1 = require("../shapes/DecreaseReplicaCountOutput");
var ReplicationGroupNotFoundFault_1 = require("../shapes/ReplicationGroupNotFoundFault");
var InvalidReplicationGroupStateFault_1 = require("../shapes/InvalidReplicationGroupStateFault");
var InvalidCacheClusterStateFault_1 = require("../shapes/InvalidCacheClusterStateFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InsufficientCacheClusterCapacityFault_1 = require("../shapes/InsufficientCacheClusterCapacityFault");
var ClusterQuotaForCustomerExceededFault_1 = require("../shapes/ClusterQuotaForCustomerExceededFault");
var NodeGroupsPerReplicationGroupQuotaExceededFault_1 = require("../shapes/NodeGroupsPerReplicationGroupQuotaExceededFault");
var NodeQuotaForCustomerExceededFault_1 = require("../shapes/NodeQuotaForCustomerExceededFault");
var ServiceLinkedRoleNotFoundFault_1 = require("../shapes/ServiceLinkedRoleNotFoundFault");
var NoOperationFault_1 = require("../shapes/NoOperationFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DecreaseReplicaCount = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DecreaseReplicaCount",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DecreaseReplicaCountInput_1.DecreaseReplicaCountInput
    },
    output: {
        shape: DecreaseReplicaCountOutput_1.DecreaseReplicaCountOutput,
        resultWrapper: "DecreaseReplicaCountResult"
    },
    errors: [
        {
            shape: ReplicationGroupNotFoundFault_1.ReplicationGroupNotFoundFault
        },
        {
            shape: InvalidReplicationGroupStateFault_1.InvalidReplicationGroupStateFault
        },
        {
            shape: InvalidCacheClusterStateFault_1.InvalidCacheClusterStateFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InsufficientCacheClusterCapacityFault_1.InsufficientCacheClusterCapacityFault
        },
        {
            shape: ClusterQuotaForCustomerExceededFault_1.ClusterQuotaForCustomerExceededFault
        },
        {
            shape: NodeGroupsPerReplicationGroupQuotaExceededFault_1.NodeGroupsPerReplicationGroupQuotaExceededFault
        },
        {
            shape: NodeQuotaForCustomerExceededFault_1.NodeQuotaForCustomerExceededFault
        },
        {
            shape: ServiceLinkedRoleNotFoundFault_1.ServiceLinkedRoleNotFoundFault
        },
        {
            shape: NoOperationFault_1.NoOperationFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DecreaseReplicaCount.js.map