"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCacheClusterInput_1 = require("../shapes/DeleteCacheClusterInput");
var DeleteCacheClusterOutput_1 = require("../shapes/DeleteCacheClusterOutput");
var CacheClusterNotFoundFault_1 = require("../shapes/CacheClusterNotFoundFault");
var InvalidCacheClusterStateFault_1 = require("../shapes/InvalidCacheClusterStateFault");
var SnapshotAlreadyExistsFault_1 = require("../shapes/SnapshotAlreadyExistsFault");
var SnapshotFeatureNotSupportedFault_1 = require("../shapes/SnapshotFeatureNotSupportedFault");
var SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCacheCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCacheCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCacheClusterInput_1.DeleteCacheClusterInput
    },
    output: {
        shape: DeleteCacheClusterOutput_1.DeleteCacheClusterOutput,
        resultWrapper: "DeleteCacheClusterResult"
    },
    errors: [
        {
            shape: CacheClusterNotFoundFault_1.CacheClusterNotFoundFault
        },
        {
            shape: InvalidCacheClusterStateFault_1.InvalidCacheClusterStateFault
        },
        {
            shape: SnapshotAlreadyExistsFault_1.SnapshotAlreadyExistsFault
        },
        {
            shape: SnapshotFeatureNotSupportedFault_1.SnapshotFeatureNotSupportedFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DeleteCacheCluster.js.map