"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyCacheClusterInput_1 = require("../shapes/ModifyCacheClusterInput");
var ModifyCacheClusterOutput_1 = require("../shapes/ModifyCacheClusterOutput");
var InvalidCacheClusterStateFault_1 = require("../shapes/InvalidCacheClusterStateFault");
var InvalidCacheSecurityGroupStateFault_1 = require("../shapes/InvalidCacheSecurityGroupStateFault");
var InsufficientCacheClusterCapacityFault_1 = require("../shapes/InsufficientCacheClusterCapacityFault");
var CacheClusterNotFoundFault_1 = require("../shapes/CacheClusterNotFoundFault");
var NodeQuotaForClusterExceededFault_1 = require("../shapes/NodeQuotaForClusterExceededFault");
var NodeQuotaForCustomerExceededFault_1 = require("../shapes/NodeQuotaForCustomerExceededFault");
var CacheSecurityGroupNotFoundFault_1 = require("../shapes/CacheSecurityGroupNotFoundFault");
var CacheParameterGroupNotFoundFault_1 = require("../shapes/CacheParameterGroupNotFoundFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyCacheCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyCacheCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyCacheClusterInput_1.ModifyCacheClusterInput
    },
    output: {
        shape: ModifyCacheClusterOutput_1.ModifyCacheClusterOutput,
        resultWrapper: "ModifyCacheClusterResult"
    },
    errors: [
        {
            shape: InvalidCacheClusterStateFault_1.InvalidCacheClusterStateFault
        },
        {
            shape: InvalidCacheSecurityGroupStateFault_1.InvalidCacheSecurityGroupStateFault
        },
        {
            shape: InsufficientCacheClusterCapacityFault_1.InsufficientCacheClusterCapacityFault
        },
        {
            shape: CacheClusterNotFoundFault_1.CacheClusterNotFoundFault
        },
        {
            shape: NodeQuotaForClusterExceededFault_1.NodeQuotaForClusterExceededFault
        },
        {
            shape: NodeQuotaForCustomerExceededFault_1.NodeQuotaForCustomerExceededFault
        },
        {
            shape: CacheSecurityGroupNotFoundFault_1.CacheSecurityGroupNotFoundFault
        },
        {
            shape: CacheParameterGroupNotFoundFault_1.CacheParameterGroupNotFoundFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=ModifyCacheCluster.js.map