"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyReplicationGroupShardConfigurationInput_1 = require("../shapes/ModifyReplicationGroupShardConfigurationInput");
var ModifyReplicationGroupShardConfigurationOutput_1 = require("../shapes/ModifyReplicationGroupShardConfigurationOutput");
var ReplicationGroupNotFoundFault_1 = require("../shapes/ReplicationGroupNotFoundFault");
var InvalidReplicationGroupStateFault_1 = require("../shapes/InvalidReplicationGroupStateFault");
var InvalidCacheClusterStateFault_1 = require("../shapes/InvalidCacheClusterStateFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InsufficientCacheClusterCapacityFault_1 = require("../shapes/InsufficientCacheClusterCapacityFault");
var NodeGroupsPerReplicationGroupQuotaExceededFault_1 = require("../shapes/NodeGroupsPerReplicationGroupQuotaExceededFault");
var NodeQuotaForCustomerExceededFault_1 = require("../shapes/NodeQuotaForCustomerExceededFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyReplicationGroupShardConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyReplicationGroupShardConfiguration",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyReplicationGroupShardConfigurationInput_1.ModifyReplicationGroupShardConfigurationInput
    },
    output: {
        shape: ModifyReplicationGroupShardConfigurationOutput_1.ModifyReplicationGroupShardConfigurationOutput,
        resultWrapper: "ModifyReplicationGroupShardConfigurationResult"
    },
    errors: [
        {
            shape: ReplicationGroupNotFoundFault_1.ReplicationGroupNotFoundFault
        },
        {
            shape: InvalidReplicationGroupStateFault_1.InvalidReplicationGroupStateFault
        },
        {
            shape: InvalidCacheClusterStateFault_1.InvalidCacheClusterStateFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InsufficientCacheClusterCapacityFault_1.InsufficientCacheClusterCapacityFault
        },
        {
            shape: NodeGroupsPerReplicationGroupQuotaExceededFault_1.NodeGroupsPerReplicationGroupQuotaExceededFault
        },
        {
            shape: NodeQuotaForCustomerExceededFault_1.NodeQuotaForCustomerExceededFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=ModifyReplicationGroupShardConfiguration.js.map