"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AvailabilityZonesList_1 = require("./_AvailabilityZonesList");
var _NodeGroupConfigurationList_1 = require("./_NodeGroupConfigurationList");
var _CacheSecurityGroupNameList_1 = require("./_CacheSecurityGroupNameList");
var _SecurityGroupIdsList_1 = require("./_SecurityGroupIdsList");
var _TagList_1 = require("./_TagList");
var _SnapshotArnsList_1 = require("./_SnapshotArnsList");
exports.CreateReplicationGroupInput = {
    type: "structure",
    required: ["ReplicationGroupId", "ReplicationGroupDescription"],
    members: {
        ReplicationGroupId: {
            shape: {
                type: "string"
            }
        },
        ReplicationGroupDescription: {
            shape: {
                type: "string"
            }
        },
        PrimaryClusterId: {
            shape: {
                type: "string"
            }
        },
        AutomaticFailoverEnabled: {
            shape: {
                type: "boolean"
            }
        },
        NumCacheClusters: {
            shape: {
                type: "integer"
            }
        },
        PreferredCacheClusterAZs: {
            shape: _AvailabilityZonesList_1._AvailabilityZonesList
        },
        NumNodeGroups: {
            shape: {
                type: "integer"
            }
        },
        ReplicasPerNodeGroup: {
            shape: {
                type: "integer"
            }
        },
        NodeGroupConfiguration: {
            shape: _NodeGroupConfigurationList_1._NodeGroupConfigurationList
        },
        CacheNodeType: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        CacheParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        CacheSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        CacheSecurityGroupNames: {
            shape: _CacheSecurityGroupNameList_1._CacheSecurityGroupNameList
        },
        SecurityGroupIds: {
            shape: _SecurityGroupIdsList_1._SecurityGroupIdsList
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        SnapshotArns: {
            shape: _SnapshotArnsList_1._SnapshotArnsList
        },
        SnapshotName: {
            shape: {
                type: "string"
            }
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        NotificationTopicArn: {
            shape: {
                type: "string"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        SnapshotRetentionLimit: {
            shape: {
                type: "integer"
            }
        },
        SnapshotWindow: {
            shape: {
                type: "string"
            }
        },
        AuthToken: {
            shape: {
                type: "string"
            }
        },
        TransitEncryptionEnabled: {
            shape: {
                type: "boolean"
            }
        },
        AtRestEncryptionEnabled: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateReplicationGroupInput.js.map